/*
 *   Copyright 2013 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
*/

package net.brutex.xservices.security;

import org.apache.log4j.Logger;
import org.apache.shiro.authz.Permission;

/**
 * @author Brian Rosenberger, bru(at)brutex.de
 *
 */
public class PermissionResolver implements org.apache.shiro.authz.permission.PermissionResolver {
	
	final Logger logger = Logger.getLogger(PermissionResolver.class);

	@Override
	public Permission resolvePermission(String permissionString) {
		logger.debug(String.format("Creating new Permission '%s'", permissionString));
		return new DirectoryPermission(permissionString);
	}
}
