/*
 *   Copyright 2013 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package net.brutex.xservices.util.cache;

import java.io.File;
import java.util.List;

import org.apache.commons.configuration.PropertiesConfiguration;
import org.apache.log4j.Logger;

/**
 * @author Brian Rosenberger, bru(at)brutex.de
 *
 */
public class FindingsConfigBean {
	
	private final Logger logger;
	
	private final int instanceid;
	
	private File cvsconfig;
	private int cacheinterval = 15;
	private List<Object> filepatterns;
	private List<Object> contentpatterns;

	public FindingsConfigBean(int instanceid, Logger logger) {
		this.instanceid = instanceid;
		this.logger = logger;
		logger.debug("Initialise FindingsConfigBean instance '"+instanceid+"'");
		
	}

	/**
	 * @return the cache interval
	 */
	public int getCacheinterval() {
		return cacheinterval;
	}

	/**
	 * @param cacheinterval the cache interval to set
	 */
	public void setCacheinterval(int cacheinterval) {
		this.cacheinterval = cacheinterval;
	}
	
	/**
	 * @return the cvsconfig
	 */
	public File getCvsconfig() {
		return cvsconfig;
	}

	/**
	 * @param cvsconfig the cvsconfig to set
	 */
	public void setCvsconfig(File cvsconfig) {
		this.cvsconfig = cvsconfig;
	}

	/**
	 * @return the filepatterns
	 */
	public List<Object> getFilepatterns() {
		return filepatterns;
	}

	/**
	 * @param filepatterns the filepatterns to set
	 */
	public void setFilepatterns(List<Object> filepatterns) {
		this.filepatterns = filepatterns;
	}

	/**
	 * @return the contentpatterns
	 */
	public List<Object> getContentpatterns() {
		return contentpatterns;
	}

	/**
	 * @param contentpatterns the contentpatterns to set
	 */
	public void setContentpatterns(List<Object> contentpatterns) {
		this.contentpatterns = contentpatterns;
	}

	/**
	 * @param instanceid
	 */
	
}
